package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tge;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TgeMapper {
    int insert(Tge record);

    int insertSelective(Tge record);

    int updateByPrimaryKeySelective(Tge record);

    int updateByPrimaryKey(Tge record);

    int deleteByPrimaryKey(Tge record);

    int deleteByIds(Collection<Object> collection);

    Tge selectByPrimaryKey(Tge record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tge> dyncRead(Map<String, Object> dyncMap);

    Tge selectByObjInfo(Tge newtge);

    List<Tge> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr (@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tge> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tge> entities);
}
